<?php
/**
 * Language definitions for the Client Services controller/views
 * 
 * @package blesta
 * @subpackage blesta.language.en_us
 * @copyright Copyright (c) 2010, Phillips Data, Inc.
 * @license http://www.blesta.com/license/ The Blesta License Agreement
 * @link http://www.blesta.com/ Blesta
 */

// Error messages
$lang['ClientServices.!error.password_mismatch'] = "The password does not match your log in password.";

// Success messages
$lang['ClientServices.!success.manage.tab_updated'] = "The data was successfully updated.";
$lang['ClientServices.!success.service_canceled'] = "The service was successfully canceled.";
$lang['ClientServices.!success.service_schedule_canceled'] = "The service is scheduled to be canceled at the end of its term.";
$lang['ClientServices.!success.service_not_canceled'] = "The service will not be canceled.";
$lang['ClientServices.!success.addon_service_created'] = "The addon service has been successfully created. However, it will not be activated until after payment has been received.";


// Index
$lang['ClientServices.index.page_title'] = "Client #%1\$s Services"; // %1$s is the client ID number

$lang['ClientServices.index.boxtitle_services'] = "Services";

$lang['ClientServices.index.category_active'] = "Active";
$lang['ClientServices.index.category_pending'] = "Pending";
$lang['ClientServices.index.category_suspended'] = "Suspended";
$lang['ClientServices.index.category_canceled'] = "Canceled";

$lang['ClientServices.index.heading_addons'] = "Add-ons";
$lang['ClientServices.index.heading_status'] = "Status";

$lang['ClientServices.index.heading_package'] = "Package";
$lang['ClientServices.index.heading_label'] = "Label";
$lang['ClientServices.index.heading_term'] = "Term";
$lang['ClientServices.index.heading_datecreated'] = "Date Created";
$lang['ClientServices.index.heading_daterenews'] = "Date Renews";
$lang['ClientServices.index.heading_datesuspended'] = "Date Suspended";
$lang['ClientServices.index.heading_datecanceled'] = "Date Canceled";
$lang['ClientServices.index.heading_options'] = "Options";
$lang['ClientServices.index.option_manage'] = "Manage";

$lang['ClientServices.index.text_never'] = "Never";

$lang['ClientServices.index.no_results'] = "You have no %1\$s Services."; // %1$s is the language for the services category type (e.g. Active, Pending)

$lang['ClientServices.serviceinfo.no_results'] = "This service has no details.";


// Manage
$lang['ClientServices.manage.page_title'] = "Client #%1\$s Manage Service"; // %1$s is the client ID number

$lang['ClientServices.manage.boxtitle_manage'] = "Manage %1\$s - %2\$s"; // %1$s is the package name, %2$s is the service name
$lang['ClientServices.manage.tab_service_info'] = "Information";
$lang['ClientServices.manage.tab_addons'] = "Addons";
$lang['ClientServices.manage.tab_service_return'] = "Return to Dashboard";

$lang['ClientServices.manage.button_active'] = "Active";
$lang['ClientServices.manage.button_pending'] = "Pending";
$lang['ClientServices.manage.button_suspended'] = "Suspended";
$lang['ClientServices.manage.button_in_review'] = "In Review";
$lang['ClientServices.manage.button_canceled'] = "Canceled";
$lang['ClientServices.manage.button_cancel'] = "Cancel Options";

$lang['ClientServices.manage.heading_package'] = "Package";
$lang['ClientServices.manage.heading_date_added'] = "Creation Date";
$lang['ClientServices.manage.heading_package_term'] = "Billing Cycle";
$lang['ClientServices.manage.heading_service_name'] = "Label";
$lang['ClientServices.manage.heading_date_renews'] = "Renew Date";
$lang['ClientServices.manage.heading_date_next_invoice'] = "Next Invoice";
$lang['ClientServices.manage.heading_price'] = "Recurring Amount";

$lang['ClientServices.manage.text_price'] = "%1\$sx %2\$s"; // %1$s is the service quantity, %2$s is the package price
$lang['ClientServices.manage.text_date_never'] = "Never";
$lang['ClientServices.manage.text_date_suspended'] = "This service was suspended on %1\$s."; // %1$s is the date the service was suspended
$lang['ClientServices.manage.text_date_canceled'] = "This service was canceled on %1\$s."; // %1$s is the date the service was canceled
$lang['ClientServices.manage.text_date_to_cancel'] = "This service is scheduled to be canceled on %1\$s."; // %1$s is the date the service is scheduled to be canceled

$lang['ClientServices.manage.heading_config_options'] = "Configurable Options";


// Cancel
$lang['ClientServices.cancel.page_title'] = "Client #%1\$s Cancel Service"; // %1$s is the client ID number

$lang['ClientServices.cancel.heading_cancel'] = "Cancel Service";

$lang['ClientServices.cancel.field_term_date'] = "At End of Term (%1\$s)"; // %1$s is the date the service's term ends
$lang['ClientServices.cancel.field_term'] = "At End of Term";
$lang['ClientServices.cancel.field_now'] = "Immediately";
$lang['ClientServices.cancel.field_do_not'] = "Do not cancel";
$lang['ClientServices.cancel.field_password'] = "Log In Password to Confirm Changes";
$lang['ClientServices.cancel.field_cancel_cancel'] = "Cancel, do not change";
$lang['ClientServices.cancel.field_cancel_submit'] = "Save";
$lang['ClientServices.cancel.confirm_cancel'] = "Are you sure you want to cancel this service at the end of its term?";
$lang['ClientServices.cancel.confirm_cancel_now'] = "Are you sure you want to cancel this service?";
$lang['ClientServices.cancel.confirm_cancel_now_fee'] = "Canceling this service immediately will incur a cancellation fee of %1\$s."; // %1$s is the formatted amount of the cancelation fee
$lang['ClientServices.cancel.confirm_cancel_now_fee_tax'] = "Canceling this service immediately will incur a cancellation fee of %1\$s plus tax."; // %1$s is the formatted amount of the cancelation fee


// Addons
$lang['ClientServices.addons.page_title'] = "Client #%1\$s Addons"; // %1$s is the client ID number
$lang['ClientServices.addons.boxtitle_addons'] = "Addons for %1\$s - %2\$s"; // %1$s is the package name, %2$s is the service name
$lang['ClientServices.addons.create_addon'] = "Add Addon";
$lang['ClientServices.addons.no_results'] = "No addons are attached to this service.";


// Add addon
$lang['ClientServices.!error.addon_invalid'] = "Please select a valid addon.";
$lang['ClientServices.addaddon.page_title'] = "Client #%1\$s Add Addon"; // %1$s is the client ID number
$lang['ClientServices.addaddon.boxtitle_addons'] = "Add Addon for %1\$s - %2\$s"; // %1$s is the package name, %2$s is the service name
$lang['ClientServices.addaddon.header_add'] = "Addons";
$lang['ClientServices.addaddon.term'] = "%1\$s %2\$s"; // %1$s is the package term (e.g. 1), %2$s is the package period (e.g. Month)
$lang['ClientServices.addaddon.term_price'] = "%1\$s - %2\$s"; // %1$s is the package term, (e.g. 1 Month), %2$s is the formatted package price
$lang['ClientServices.addaddon.term_price_setupfee'] = "%1\$s - %2\$s + %3\$s setup"; // %1$s is the package term, (e.g. 1 Month), %2$s is the formatted package price, %3$s is the formatted setup fee price
$lang['ClientServices.addaddon.submit_add'] = "Create";


// Configure Addon
$lang['ClientServices.configure_addon.header_options'] = "Configurable Options"; // %1$s is the module name
?>